\name{snow}
\title{Simple Network of Workstations}
\usage{
# Cluster functions
clusterCall(cl, fun, ...)
clusterApply(cl, x, fun, ...)
clusterEvalQ(cl, expr)
clusterExport(cl, list)

# Parallel functions
parLapply(cl, x, fun, ...)
parRapply(cl, x, fun, ...)
parCapply(cl, x, fun, ...)
parMM(cl, A, B)
parSapply(cl, X, FUN, ..., simplify = TRUE, USE.NAMES = TRUE) 

# Random number generation
clusterSetupSPRNG (cl, seed = round(2^32 * runif(1)),
                            prngkind = "default", para = 0) 

}
\alias{clusterCall}
\alias{clusterApply}
\alias{clusterEvalQ}
\alias{clusterExport}
\alias{parLapply}
\alias{parRapply}
\alias{parCapply}
\alias{parMM}
\alias{parSapply}
\arguments{
  \item{cl}{cluster object}
  \item{fun}{function or character string naming a function}
  \item{expr}{expression to evaluate}
}
\description{
  Support for simple parallel computing experiments.
}
\details{
  See writeup in \url{http://www.stat.uiowa.edu/~luke/R/cluster/cluster.html}
}
\examples{
  \dontrun{
cl <- makeSOCKcluster(c("localhost","localhost"))
clusterApply(cl, 1:2, get("+"), 3)
  }
}
\keyword{internal}
\author{Luke Tierney}
